/**
 * plugin.js
 *
 * Copyright, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://www.tinymce.com/license
 * Contributing: http://www.tinymce.com/contributing
 */


(function() {
    tinymce.PluginManager.add('mymenu', function( editor, url ) {
        editor.addButton( 'mymenu', {
            title: 'Собственные Теги',
            type: 'menubutton',
            text: 'Теги',
            menu: [
                {
                  text: 'Замена в контенте',
                   menu: [
                       
{
                            text: 'Оглавление',
                             onclick : function() {
 editor.selection.setContent('{note} {ОГЛАВЛЕНИЕ} {/note}');

                            }   
},
                {
                    text: '{note}',
                     onclick : function() {
 editor.selection.setContent('{note}' + editor.selection.getContent() + '{/note}');

                    }
                },
{
                            text: 'warning',
                             onclick : function() {
 editor.selection.setContent('{warning}' + editor.selection.getContent() + '{/warning}');

                            }   
},
{
                            text: 'info',
                             onclick : function() {
 editor.selection.setContent('{info}' + editor.selection.getContent() + '{/info}');

                            }   
},
{
                            text: 'important',
                             onclick : function() {
 editor.selection.setContent('{important}' + editor.selection.getContent() + '{/important}');

                            }   
},
{
                            text: 'tip',
                             onclick : function() {
 editor.selection.setContent('{tip}' + editor.selection.getContent() + '{/tip}');

                            }   
},
{
                            text: 'help',
                             onclick : function() {
 editor.selection.setContent('{help}' + editor.selection.getContent() + '{/help}');

                            } 
                           }
                         ]  
},
                {
                    text: 'Реклама',
                    
                    menu: [
                        {
                            text: 'Подпишитесь',
                            value: '<strong>Подпишитесь на новости «Доблесть Народа» в <a href="https://www.facebook.com/politikdnr">Facebook</a>,&nbsp; <a href="https://ok.ru/donasmi">Одноклассниках</a> <a href="https://vk.com/donasmi">Вконтакте</a> или <a href="https://twitter.com/PolitikDNR">Twitter</a> </strong>',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Ваше меню',
                             onclick : function() {
 editor.selection.setContent('И тебю' + editor.selection.getContent() + 'и меню');

                            }       
                        }
                    ]
                },
                {
                    text: 'Элемент меню III',
                    value: 'Текст из подменю',
                    onclick: function() {
                        editor.insertContent(this.value());
                    }
                }
           ]
        });
    });
})();