<?php
class cmsWysiwygTinymce{
 
	public function displayEditor($field_id, $content=''){
 
        $lang = cmsConfig::get('language');
 
        $template = cmsTemplate::getInstance();
 
        $user     = cmsUser::getInstance();
 
        $template->addJSFromContext('wysiwyg/tinymce/tinymce.min.js');
 
        $dom_id = str_replace(array('[',']'), array('_', ''), $field_id);
 
        echo html_textarea($field_id, $content, array('id'=>$dom_id)); 
 
		if (cmsUser::isSessionSet('csrf_token')){
	     $token =  cmsUser::sessionGet('csrf_token');
		}
?>     
<script type="text/javascript" >
<?php if ($user->is_admin) { ?>
  tinymce.init({mode : "exact", width: 760,height: 350,
				menubar : false,
                image_advtab: true,
                gecko_spellcheck:true,
				theme : "modern",
  selector: '#<?php echo $dom_id;?>',
 
  language : '<?php echo $lang;?>',
  plugins: [
			'advlist autolink lists link image charmap print preview hr anchor pagebreak',
			'searchreplace wordcount visualblocks visualchars code fullscreen mymenu',
			'insertdatetime media nonbreaking save table contextmenu directionality wordcount',
			'emoticons template paste textcolor sh4tinymce colorpicker textpattern insertdatetime imagetools responsivefilemanager'
                        ],
  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
  toolbar1:  'formatselect fontselect fontsizeselect | searchreplace | styleselect | removeformat | subscript superscript | fullscreen',
  toolbar2: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
  toolbar3: 'print preview insertdatetime | hr | table | blockquote | mymenu | image media | link unlink | sh4tinymce code | emoticons |  responsivefilemanager',
  filemanager_title:"Файловый менеджер",
  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
  filemanager_access_key:'<?php echo $token;?>'
 
 });               
 
<?php }else{ ?>
           <?php 
		      foreach($user->groups as $group){
				  if(!empty($group)){
					  # настройка для группы 8
						  if($group == 8 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
                                                  toolbar1: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
                                                  toolbar2: 'print preview insertdatetime | hr | table | blockquote | removeformat | styleselect | image media | link unlink | sh4tinymce code | emoticons',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
		                  <?php 
						  # настройка для группы 7 и тд
						  } elseif($group == 7 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
						  toolbar1: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
                                                  toolbar2: 'print preview insertdatetime | hr | table | blockquote | removeformat | styleselect | image media | link unlink | sh4tinymce code | emoticons',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
		                  <?php 
						  } elseif($group == 6 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
						  toolbar1: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
                                                  toolbar2: 'print preview insertdatetime | hr | table | blockquote | removeformat | styleselect | image media | link unlink | sh4tinymce code | emoticons',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
		                  <?php 
						  # настройка для группы 5 
						  } elseif($group == 5 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
						  toolbar1: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
                                                  toolbar2: 'print preview insertdatetime | hr | table | blockquote | removeformat | styleselect | image media | link unlink | sh4tinymce code | emoticons',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
                          <?php 
						  # настройка для группы 4 
						  } elseif($group == 4 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  contextmenu: 'undo redo | cut copy | link image media inserttable | cell row column deletetable',
						  toolbar1: 'undo redo | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist | outdent indent ',
                                                  toolbar2: 'print preview insertdatetime | hr | table | blockquote | removeformat | styleselect | image media | link unlink | sh4tinymce code | emoticons',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
                          <?php 
						  # настройка для группы 3 
						  } elseif($group == 3 ) { ?>
						  tinymce.init({
                                                  menubar : false,
						  selector : '#<?php echo $dom_id;?>',
						  language : '<?php echo $lang;?>',
						  plugins: ['advlist autolink lists link image charmap print preview hr anchor pagebreak',
									'searchreplace wordcount visualblocks visualchars fullscreen',
									'insertdatetime media nonbreaking save table contextmenu directionality',
									'template paste textcolor colorpicker textpattern imagetools'
								   ],
						  toolbar1: 'insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
						  toolbar2: 'print preview media | fontsizeselect forecolor backcolor',
						  filemanager_title:"Файловый менеджер",
						  external_filemanager_path:"/wysiwyg/tinymce/filemanager/",
						  external_plugins: { "filemanager" : "/wysiwyg/tinymce/filemanager/plugin.min.js"},
						  filemanager_access_key:'<?php echo $token;?>'
						  }); 
		                  <?php } ?>						  
		         <?php } ?>					
	         <?php } ?>	
        <?php } ?>
</script>
<?php
	}
}
?>           