<?php
if (session_id() == '') session_start();

# пользователь ICMS
$user = $_SESSION['user'];

    # для разрешения номер группы укажите в массиве
    $access['delete_files'] = array(6);
    $access['create_folders'] = array(6);
	$access['delete_folders'] = array(6); 
	# разрешения для групп 1-2-3-4-5-6
	$access['upload_files']   = array(1,2,3,4,5,6,7,8);
	$access['rename_files']   = array(6);
	$access['rename_folders'] = array(6);
	$access['duplicate_files'] = array(6);
	$access['copy_cut_files'] = array(6);
	$access['copy_cut_dirs'] = array(6);
	$access['chmod_files'] = array(6);
	$access['chmod_dirs'] = array(6);
	$access['preview_text_files'] = array(6);
	$access['edit_text_files'] = array(6);
	$access['create_text_files'] = array(6);
	
	$access['java_upload'] = array(6);
	$access['java_MaxSizeUpload'] = array(6);
	$access['MaxSizeUpload'] = array(6);
	$access['MaxSizeTotal'] = array(6);
	
	
# массив групп пользователя
# $user['groups'] = array(1);// test 

# конфигурация FM
if(is_array($user['groups'])){
	foreach($user['groups'] as $v){
      $group = array_shift($user['groups']);
      $delete_files = in_array($group , $access['delete_files']) ? true : true;
      $create_folders = in_array($group , $access['create_folders']) ? true : true;
	  $delete_folders = in_array($group , $access['delete_folders']) ? true : true; 
	  $upload_files   = in_array($group , $access['upload_files']) ? true : false;
	  $rename_files   = in_array($group , $access['rename_files']) ? true : false;
	  $rename_folders = in_array($group , $access['rename_folders']) ? true : false;
	  $duplicate_files = in_array($group , $access['duplicate_files']) ? true : false;
	  $copy_cut_files = in_array($group , $access['copy_cut_files']) ? true : false;
	  $copy_cut_dirs = in_array($group , $access['copy_cut_dirs']) ? true : false;
	  $chmod_files = in_array($group , $access['chmod_files']) ? true : false;
	  $chmod_dirs = in_array($group , $access['delete_files']) ? true : false;
	  $preview_text_files = in_array($group , $access['preview_text_files']) ? true : false;
	  $edit_text_files = in_array($group , $access['edit_text_files']) ? true : false;
	  $create_text_files = in_array($group , $access['create_text_files']) ? true : false;
	  # java загрузка
	  $java_upload = in_array($group , $access['java_upload']) ? true : false;
	  # максимальный размер одного файла Gb
	  $java_MaxSizeUpload = in_array($group , $access['java_MaxSizeUpload']) ? 200 : 2;
	  # максимальный размер одного файла Mb
	  $MaxSizeUpload = in_array($group , $access['MaxSizeUpload']) ? 20 : 1;
	  # Максимальный размер всех файлов в папке источник Пользователя Mb
	  $MaxSizeTotal = in_array($group , $access['MaxSizeTotal']) ? false : 100;
	}
 
}
  
# доступ только по токену пользователя
$token = $_SESSION['csrf_token'];
# корневой директорий
$dir_root = rtrim($_SERVER['DOCUMENT_ROOT'], DIRECTORY_SEPARATOR);

if($user['is_admin']){
# директорий админа : /upload
$dest_dir = $dir_root . "/upload/editor/";
}else{
# директорий пользователя : /upload/u*
$dest_dir = $dir_root . "/upload/user/u{$user['id']}";
}

# создать если не существует
if(!is_dir($dest_dir)){
   @mkdir($dest_dir, 0755, true);
   @chmod($dest_dir, 0755);
   @chmod(pathinfo($dest_dir, PATHINFO_DIRNAME), 0755);
 }
# временная зона
date_default_timezone_set('Europe/Rome');
# включить защиту секретным ключом
define('USE_ACCESS_KEYS', true); 
define('DEBUG_ERROR_MESSAGE', true); 
# массив конфигурации 
$config = array(

	'base_url' => ((isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] && ! in_array(strtolower($_SERVER['HTTPS']), array( 'off', 'no' ))) ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'],
    
	# путь базовой папки загрузки пользователя
	'upload_dir' => $user['is_admin'] ? "/upload/editor/" : "/upload/user/u{$user['id']}/",
    # относительный путь от папки менеджера файлов до папки загрузки  пользователя
	'current_path' => $user['is_admin'] ? "../../../upload/editor/" : "../../../upload/user/u{$user['id']}/",
    # относительный путь от папки файлового менеджера в папку миниатюр
	'thumbs_base_path' => $user['is_admin'] ? "../../../upload/editor/thumbs/" : "../../../upload/user/thumbs/u{$user['id']}/",
	# секретный ключ
	'access_keys' => array($token),
	
	# Максимальный размер всех файлов в папке источник Mb
	'MaxSizeTotal' => $MaxSizeTotal,
    # Максимальный размер загружаемого файла Mb
	'MaxSizeUpload' => $MaxSizeUpload,
    # язык
	'default_language' => "ru",
    # тема иконок ассоциации типов файлов
	'icon_theme' => "ico",

	# показывать Общий размер файлов
	'show_total_size'						=> false,
	# показывать Размер папки в виде списка 
	'show_folder_size'						=> false,
	# показывать сортировку
	'show_sorting_bar'						=> true,
	# показывать кнопку фильтра
	'show_filter_buttons'					=> true,
	# показывать выбор языка
	'show_language_selection'				=> false,
	# транслитерация имен файлов
	'transliteration'						=> false,
	# преобразовывать пробелы в именах файлов
	'convert_spaces'						=> false,
	# на что заменять пробелы в именах файлов
	'replace_with'							=> "_",
	# преобразовывать имена файлов в нижний регистр
	'lower_case'							=> false,

	# -1: , 0: без отложенной загрузки, 0+: Минимальное количество файлов в каталоге
	# отложенная загрузка.
	'lazy_loading_file_number_threshold'	=> 0,
    
	
	# Лимит изображений и изменение конфигурации
	# Устанавливаем максимальную ширину в пикселах  для всех изображений
    # Если задать максимальную ширину или высоту, объемные изображения преобразуются в эти пределы. Изображения, меньшие, чем предел(ы) не затрагиваются
    #  если вам не нужен лимит,  тогда значение 0
	'image_max_width'                         => 1200,
	'image_max_height'                        => 1200,
	'image_max_mode'                          => 'auto',
	#'image_max_mode' опции изображения
	#            0 / exact = определен размер;
	#            1 / portrait = сохранить пропорции Высота;
	#            2 / landscape = сохранить пропорции Ширина;
	#            3 / auto = auto;
	#            4 / crop = обрезка;
	
	
	# Если вы установите $image_resizing значение True скрипт преобразует все загруженные изображения по размерам в image_resizing_width х image_resizing_height 
	# Если вы установите ширину и высоту в 0 скрипт автоматически вычисляет другое измерение
    'image_resizing'                          => false,
	'image_resizing_width'                    => 760,
	'image_resizing_height'                   => 760,
	'image_resizing_mode'                     => 'auto', // same as $image_max_mode
	'image_resizing_override'                 => false,
	
	# Настройки показа миниатюр
	# 0 => boxes
	# 1 => подробно (1 колонка)
	# 2 => лист (несколько столбцов в зависимости от ширины страницы)
		
	'default_view'                            => 0,

	# длинные имен файла усекаются при переполнении первой строке
	'ellipsis_title_after_first_row'          => true,
 
	# права доступа
	'delete_files'                            => $delete_files,
	'create_folders'                          => $create_folders, 
	'delete_folders'                          => $delete_folders,
	'upload_files'                            => $upload_files, 
	'rename_files'                            => $rename_files,
	'rename_folders'                          => $rename_folders,
	'duplicate_files'                         => $duplicate_files,
	'copy_cut_files'                          => $copy_cut_files, 
	'copy_cut_dirs'                           => $copy_cut_dirs,
	'chmod_files'                             => $chmod_files, 
	'chmod_dirs'                              => $chmod_dirs, 
	'preview_text_files'                      => $preview_text_files,
	'edit_text_files'                         => $edit_text_files,
	'create_text_files'                       => $create_text_files, 
	# вы можете просмотреть такие файлы, если $preview_text_files true
	'previewable_text_file_exts'              => array( 'txt', 'log', 'xml', 'html', 'css', 'htm', 'js' ),
	'previewable_text_file_exts_no_prettify'  => array( 'txt', 'log' ),

	# вы можете редактировать такие файлы, если $edit_text_files true (только текстовые файлы)
	# вы можете создать такие типы файлов, если $create_text_files true (только текстовые файлы)
	# если вы хотите, вы можете добавить html,css etc.
	# но по соображениям безопасности не рекомендуется!
	'editable_text_file_exts'                 => array( 'txt', 'log', 'xml', 'html', 'css', 'htm', 'js' ),

	# Предварительный просмотр документов Google
	'googledoc_enabled'                       => true,
	'googledoc_file_exts'                     => array( 'doc', 'docx', 'xls', 'xlsx', 'ppt', 'pptx' ),

	# Предварительный просмотр с помощью средства просмотра.js
	'viewerjs_enabled'                        => true,
	'viewerjs_file_exts'                      => array( 'pdf', 'odt', 'odp', 'ods' ),

	# определяет предельный размер в МБ, опрерация COPY
	# 'FALSE' ,без ограничений
	'copy_cut_max_size'                       => false,
	# определяет предельный лимит количества файлов опрерация COPY
	# 'FALSE' , без ограничений
	'copy_cut_max_count'                      => false,
	
    # Допустимые расширения (строчные)
	'ext_img'                                 => array( 'jpg', 'jpeg', 'png', 'gif', 'bmp', 'tiff', 'svg' ), //Images
	'ext_file'                                => array( 'doc', 'docx', 'rtf', 'pdf', 'xls', 'xlsx', 'txt', 'csv', 'html', 'xhtml', 'psd', 'sql', 'log', 'fla', 'xml', 'ade', 'adp', 'mdb', 'accdb', 'ppt', 'pptx', 'odt', 'ots', 'ott', 'odb', 'odg', 'otp', 'otg', 'odf', 'ods', 'odp', 'css', 'ai' ), //Files
	'ext_video'                               => array( 'mov', 'mpeg', 'm4v', 'mp4', 'avi', 'mpg', 'wma', "flv", "webm" ), //Video
	'ext_music'                               => array( 'mp3', 'm4a', 'ac3', 'aiff', 'mid', 'ogg', 'wav' ), //Audio
	'ext_misc'                                => array( 'zip', 'rar', 'gz', 'tar', 'iso', 'dmg' ), //Archives

	# сервис фоторедактора . Пропустить если неиспользуете
	# AVIARY config ключ полученный вами , мой ключ d0a92626-8669-4f6d-aaff-7ca3897446e4
	'aviary_active'                           => true,
	'aviary_apiKey'                           => "",
	'aviary_language'                         => "ru",
	'aviary_theme'                            => "light",
	'aviary_tools'                            => "all",
	'aviary_maxSize'                          => "1400",
	'file_number_limit_js'                    => 500,

	# Скрытые папки
	'hidden_folders'                          => array(),
	# Скрытые файлы . Имена всех файлов, которые вы хотите спрятать. Запомните эти имена будут скрыты во всех папках (eg "this_document.pdf", "that_image.jpg" )
	'hidden_files'                            => array( 'config.php' ),

	# JAVA upload
	'java_upload'                             => $java_upload,
	'JAVAMaxSizeUpload'                       => $java_MaxSizeUpload, //Gb
    
	
    # метод прямых путей к изображениям , для доступа с внешних скриптов
	# активировать создание одного или множественных изображений 
	'fixed_image_creation'                    => false, 
	'fixed_path_from_filemanager'             => array( '../test/', '../test1/' ), 
	'fixed_image_creation_name_to_prepend'    => array( '', 'test_' ),
	'fixed_image_creation_to_append'          => array( '_test', '' ),
	'fixed_image_creation_width'              => array(300, 400 ),
    'fixed_image_creation_height'             => array(200, 300 ), 
	
	#  Тип обрезки
	#                          0 / exact = defined size;
	#                          1 / portrait = keep aspect set height;
	#                          2 / landscape = keep aspect set width;
	#                          3 / auto = auto;
	#                          4 / crop= resize and crop;
	
	'fixed_image_creation_option'             => array(0,4),
	
    # метод релятивных путей к файлам изображений
	# активировать создание одного или более изображения с измененным размером с относительный путь от папки загрузки
	'relative_image_creation'                 => false,
    # относительный путь папки изображения с текущей позиции папки загрузки	
	'relative_path_from_current_pos'          => array( './', './' ),
	'relative_image_creation_name_to_prepend' => array( '', '' ), 
	'relative_image_creation_name_to_append'  => array( '_thumb', '_thumb1' ), 
	# будут созданы 2 изображения с Шириной 100 и 400
	'relative_image_creation_width'           => array(100,400), 
	# будут созданы 2 изображения с Высотой авто или 100,  и авто или 300	
	'relative_image_creation_height'          => array(100,300 ), 
	
	#             $option:     0 / exact = defined size;
	#                          1 / portrait = keep aspect set height;
	#                          2 / landscape = keep aspect set width;
	#                          3 / auto = auto;
	#                          4 / crop= resize and crop;
	# автообрезка 
	'relative_image_creation_option'          => array(3,4), 


	# запомнить текстовый фильтр после закрытия FM для будущих сессий
	'remember_text_filter'                    => false,

);

return array_merge(
	$config,
	array(
		'MaxSizeUpload' => ((int)(ini_get('post_max_size')) < $config['MaxSizeUpload'])
			? (int)(ini_get('post_max_size')) : $config['MaxSizeUpload'],
		'ext'=> array_merge(
			$config['ext_img'],
			$config['ext_file'],
			$config['ext_misc'],
			$config['ext_video'],
			$config['ext_music']
		),
		// For a list of options see: https://developers.aviary.com/docs/web/setup-guide#constructor-config
		    'aviary_defaults_config' => array(
			'apiKey'     => $config['aviary_apiKey'],
			'language'   => $config['aviary_language'],
			'theme'      => $config['aviary_theme'],
			'tools'      => $config['aviary_tools'],
			'maxSize'    => $config['aviary_maxSize']
		),
	)
);
?>
